path: /build/build/luasocket-dev-lua-3.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-lua/luasocket -pv -t && \
    emerge -j ${JOBS} --nodeps dev-lua/luasocket
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/luasocket && luet-portage --dir /pkgdir/luasocket
    dev-lua/luasocket && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a03d2a70f85a6793acc246399d488c206a2017c9c3fb51001349d350ebcff3b5
  package:
    name: luasocket
    version: "3.0"
    category: dev-lua
    requires:
    - name: lua
      version: '>=0'
      category: dev-lang
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Networking support library for the Lua language
    uri:
    - http://www.tecgraf.puc-rio.br/~diego/professional/luasocket/
    license: MIT
    buildtimestamp: 2023-08-24 20:59:37.487578028 +0000 UTC m=+66.298166473
    labels:
      DEPEND: '>=dev-lang/lua-5.1.5-r2[deprecated,-mgorny(-)] >=virtual/pkgconfig-0-r1[-mgorny(-)]'
      IUSE: debug abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      RDEPEND: '>=dev-lang/lua-5.1.5-r2[deprecated,-mgorny(-)]'
      emerge.packages: dev-lua/luasocket
      kit: lang-kit
      original.package.name: dev-lua/luasocket
      original.package.slot: "0"
      original.package.version: 3.0_rc1-r4
    treedir: /build/packages
  package_dir: /pkgdir/luasocket
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: cde034bb51abe428a96ba5e2aee294bf1ae135032237b4045bb27c538f1b51a1
compressiontype: zstd
files:
- usr/lib64/lua/5.1/mime/core.so
- usr/lib64/lua/5.1/socket/core.so
- usr/lib64/lua/5.1/socket/serial.so
- usr/lib64/lua/5.1/socket/unix.so
- usr/share/doc/luasocket-3.0_rc1-r4/NEW.bz2
- usr/share/doc/luasocket-3.0_rc1-r4/README.bz2
- usr/share/doc/luasocket-3.0_rc1-r4/html/dns.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/ftp.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/http.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/index.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/installation.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/introduction.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/ltn12.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/lua05.ppt
- usr/share/doc/luasocket-3.0_rc1-r4/html/luasocket.png
- usr/share/doc/luasocket-3.0_rc1-r4/html/mime.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/reference.css
- usr/share/doc/luasocket-3.0_rc1-r4/html/reference.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/smtp.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/socket.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/tcp.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/udp.html
- usr/share/doc/luasocket-3.0_rc1-r4/html/url.html
- usr/share/lua/5.1/ltn12.lua
- usr/share/lua/5.1/mime.lua
- usr/share/lua/5.1/socket/ftp.lua
- usr/share/lua/5.1/socket/headers.lua
- usr/share/lua/5.1/socket/http.lua
- usr/share/lua/5.1/socket/smtp.lua
- usr/share/lua/5.1/socket/tp.lua
- usr/share/lua/5.1/socket/url.lua
- usr/share/lua/5.1/socket.lua
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/BUILD_TIME
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/CATEGORY
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/CBUILD
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/CFLAGS
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/CHOST
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/CONTENTS
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/COUNTER
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/CXXFLAGS
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/DEFINED_PHASES
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/DEPEND
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/DESCRIPTION
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/EAPI
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/FEATURES
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/HOMEPAGE
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/INHERITED
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/IUSE
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/IUSE_EFFECTIVE
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/KEYWORDS
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/LDFLAGS
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/LICENSE
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/NEEDED
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/PF
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/PROVIDES
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/RDEPEND
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/REQUIRES
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/RESTRICT
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/SIZE
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/SLOT
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/USE
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/environment.bz2
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/luasocket-3.0_rc1-r4.ebuild
- var/db/pkg/dev-lua/luasocket-3.0_rc1-r4/repository
package_cacheimage: ""
runtime:
  name: luasocket
  version: "3.0"
  category: dev-lua
  requires:
  - name: lua
    version: '>=0'
    category: dev-lang
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Networking support library for the Lua language
  uri:
  - http://www.tecgraf.puc-rio.br/~diego/professional/luasocket/
  license: MIT
  labels:
    DEPEND: '>=dev-lang/lua-5.1.5-r2[deprecated,-mgorny(-)] >=virtual/pkgconfig-0-r1[-mgorny(-)]'
    IUSE: debug abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    RDEPEND: '>=dev-lang/lua-5.1.5-r2[deprecated,-mgorny(-)]'
    emerge.packages: dev-lua/luasocket
    kit: lang-kit
    original.package.name: dev-lua/luasocket
    original.package.slot: "0"
    original.package.version: 3.0_rc1-r4
